//SchriftenTausch_405d.js
// 04.11.14 / Hans Hsler, Chtelard 52, CH-1018 Lausanne / E-mail: hsa@ringier.ch
//DESCRIPTION:Austauschen von Schriften.

// vorbeugenderweise das Anzeigen von Dialogen aktivieren
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;

changeFonts();

// diese riesige Funktion ist notwendig, damit die Einstellungen zurckgesetzt werden knnen
function changeFonts() {
	// Variablen initialisieren
	var docString = "";
	var appString = "";
	var docFile = new File("~/Library/Preferences/IndFontsDoc.txt");
	var appFile = new File("~/Library/Preferences/IndFontsApp.txt");
	
	// versuchen, die Datei mit den Dokument-Schriftnamen einzulesen
	var f = docFile;
	var fileIsOpen = f.open("r");
	if (fileIsOpen) {
		try {
			docString = f.read();
			f.close();
		}
		catch (e) {
			try {
				f.close();
			}
			catch (e) {
			}
		}
	}
	
	// die Dokument-Variablen initialisieren
	var df01 = df02 = df03 = df04 = df05 = df06 = df07 = df08 = df09 = df10 = df11 = df12 = df13 = df14 = df15 = df16 = df17 = df18 = df19 = df20 = "";
	
	// wenn die Variable mit den Dokument-Schriftnamen nicht leer ist, den Variablen die gespeicherten Namen zuweisen
	if (docString != "") {
		var docTmpList = docString.split("\n");
		var dList = new Array (df01, df02, df03, df04, df05, df06, df07, df08, df09, df10, df11, df12, df13, df14, df15, df16, df17, df18, df19, df20);
		for (var i=0; i<docTmpList.length; i++) {
			dList[i] = docTmpList[i];
		}
		df01 = dList[0];
		df02 = dList[1];
		df03 = dList[2];
		df04 = dList[3];
		df05 = dList[4];
		df06 = dList[5];
		df07 = dList[6];
		df08 = dList[7];
		df09 = dList[8];
		df10 = dList[9];
		df11 = dList[10];
		df12 = dList[11];
		df13 = dList[12];
		df14 = dList[13];
		df15 = dList[14];
		df16 = dList[15];
		df17 = dList[16];
		df18 = dList[17];
		df19 = dList[18];
		df20 = dList[19];
	}
	
	// versuchen, die Datei mit den Programm-Schriftnamen einzulesen
	var f = appFile;
	var fileIsOpen = f.open("r");
	if (fileIsOpen) {
		try {
			appString = f.read();
			f.close();
		}
		catch (e) {
			try {
				f.close();
			}
			catch (e) {
			}
		}
	}
	
	// die Programm-Variablen initialisieren
	var af01 = af02 = af03 = af04 = af05 = af06 = af07 = af08 = af09 = af10 = af11 = af12 = af13 = af14 = af15 = af16 = af17 = af18 = af19 = af20 = "";
	
	// wenn die Variable mit den Programm-Schriftnamen nicht leer ist, den Variablen die gespeicherten Namen zuweisen
	if (appString != "") {
		var appTmpList = appString.split("\n");
		var aList = new Array (af01, af02, af03, af04, af05, af06, af07, af08, af09, af10, af11, af12, af13, af14, af15, af16, af17, af18, af19, af20);
		for (var i=0; i<appTmpList.length; i++) {
			aList[i] = appTmpList[i];
		}
		af01 = aList[0];
		af02 = aList[1];
		af03 = aList[2];
		af04 = aList[3];
		af05 = aList[4];
		af06 = aList[5];
		af07 = aList[6];
		af08 = aList[7];
		af09 = aList[8];
		af10 = aList[9];
		af11 = aList[10];
		af12 = aList[11];
		af13 = aList[12];
		af14 = aList[13];
		af15 = aList[14];
		af16 = aList[15];
		af17 = aList[16];
		af18 = aList[17];
		af19 = aList[18];
		af20 = aList[19];
	}
	
	//------------------------------------------------
	// der InDesign-Block
	//------------------------------------------------
	if (app.documents.length == 0) {
		alert ("Bitte ein InDesign-Dokument ffnen.", "Achtung");
		exit();
	}
	
	curDoc = app.documents[0];
	
	// die Liste der Schriften des Dokuments auflisten
	var dfList = new Array ();
	try {
		dfList = curDoc.fonts.everyItem().name;
	}
	catch (e) {
	}
	
	// die Schriften der Zeichenformate auflisten
	var cfList = new Array ();
	try {
		for (var i=1; i<curDoc.characterStyles.length; i++) {
			var curF = curDoc.characterStyles[i].appliedFont;
			if (curF != "" && curF != 1851876449) {
				var curS = curDoc.characterStyles[i].fontStyle;
				if (curS != 1851876449) {
					var curName = curF + "\t" + curS;
					cfList.push(curName);
				}
			}
		}
	}
	catch (e) {
	}
	
	// die Dokumentliste ergnzen, wenn eine Zeichenformat-Schrift nicht darin enthalten ist
	for (var i=0; i<cfList.length; i++) {
		var curName = cfList[i];
		var nope = true;
		for (var k=0; k<dfList.length; k++) {
			if (curName == dfList[k]) {
				nope = false;
				break;
			}
		}
		if (nope) {
			dfList.push(curName);
		}
	}
	
	// in den Namen die Tabulatoren temporr durch " | " ersetzen, damit im Dialog die Anzeige klarer ist
	var tmpList1 = dfList.join("xx");
	var tmpList2 = tmpList1.split("\t");
	var tmpList3 = tmpList2.join(" | ");
	var dfList   = tmpList3.split("xx");
	
	
	// die Liste sortieren lassen
	dfList.sort();
	var docFontTmpList = new Array ();
	docFontTmpList = dfList;
	
	// die Namen der Dokumentliste mit den gespeicherten vergleichen
	var dTempList = [df01, df02, df03, df04, df05, df06, df07, df08, df09, df10, df11, df12, df13, df14, df15, df16, df17, df18, df19, df20];
	var newDList = new Array ();
	for (var i=0; i<dfList.length; i++) {
		var curName = dfList[i];
		var nope = true;
		for (var k=0; k<20; k++) {
			if (curName == dTempList[k]) {
				nope = false;
				break;
			}
		}
		if (nope) {
			newDList.push(curName);
		}
	}
	
	// prfen, ob die gespeicherten Namen immer noch im Dokument aufgefhrt sind
	d01d = d02d = d03d = d04d = d05d = d06d = d07d = d08d = d09d = d10d = d11d = d12d = d13d = d14d = d15d = d16d = d17d = d18d = d19d = d20d = 0;
	if (df01 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df01) {
				d01d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df01 = "";
			af01 = 0;
		}
	}
	else {
		af01 = 0;
	}
	
	if (df02 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df02) {
				d02d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df02 = "";
			af02 = 0;
		}
	}
	else {
		af02 = 0;
	}
	
	if (df03 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df03) {
				d03d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df03 = "";
			af03 = 0;
		}
	}
	else {
		af03 = 0;
	}
	
	if (df04 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df04) {
				d04d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df04 = "";
			af04 = 0;
		}
	}
	else {
		af04 = 0;
	}
	
	if (df05 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df05) {
				d05d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df05 = "";
			af05 = 0;
		}
	}
	else {
		af05 = 0;
	}
	
	if (df06 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df06) {
				d06d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df06 = "";
			af06 = 0;
		}
	}
	else {
		af06 = 0;
	}
	
	if (df07 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df07) {
				d07d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df07 = "";
			af07 = 0;
		}
	}
	else {
		af07 = 0;
	}
	
	if (df08 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df08) {
				d08d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df08 = "";
			af08 = 0;
		}
	}
	else {
		af08 = 0;
	}
	
	if (df09 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df09) {
				d09d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df09 = "";
			af09 = 0;
		}
	}
	else {
		af09 = 0;
	}
	
	if (df10 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df10) {
				d10d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df10 = "";
			af10 = 0;
		}
	}
	else {
		af10 = 0;
	}
	
	if (df11 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df11) {
				d11d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df11 = "";
			af11 = 0;
		}
	}
	else {
		af11 = 0;
	}
	
	if (df12 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df12) {
				d12d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df12 = "";
			af12 = 0;
		}
	}
	else {
		af12 = 0;
	}
	
	if (df13 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df13) {
				d13d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df13 = "";
			af13 = 0;
		}
	}
	else {
		af13 = 0;
	}
	
	if (df14 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df14) {
				d14d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df14 = "";
			af14 = 0;
		}
	}
	else {
		af14 = 0;
	}
	
	if (df15 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df15) {
				d15d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df15 = "";
			af15 = 0;
		}
	}
	else {
		af15 = 0;
	}
	
	if (df16 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df16) {
				d16d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df16 = "";
			af16 = 0;
		}
	}
	else {
		af16 = 0;
	}
	
	if (df17 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df17) {
				d17d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df17 = "";
			af17 = 0;
		}
	}
	else {
		af17 = 0;
	}
	
	if (df18 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df18) {
				d18d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df18 = "";
			af18 = 0;
		}
	}
	else {
		af18 = 0;
	}
	
	if (df19 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df19) {
				d19d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df19 = "";
			af19 = 0;
		}
	}
	else {
		af19 = 0;
	}
	
	if (df20 != "") {
		for (var i=0; i<dfList.length; i++) {
			var curName = dfList[i];
			var nope = true;
			if (curName == df20) {
				d20d = i+1;
				nope = false;
				break;
			}
		}
		if (nope) {
			df20 = "";
			af20 = 0;
		}
	}
	else {
		af20 = 0;
	}
	
	// versuchen, den leeren Stellen neue Namen zuzuweisen
	if (newDList.length != 0) {
		var ctr = 0;
		if (df01 == "") {
			try {
				df01 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df01) {
						d01d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df02 == "") {
			try {
				df02 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df02) {
						d02d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df03 == "") {
			try {
				df03 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df03) {
						d03d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df04 == "") {
			try {
				df04 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df04) {
						d04d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df05 == "") {
			try {
				df05 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df05) {
						d05d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df06 == "") {
			try {
				df06 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df06) {
						d06d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df07 == "") {
			try {
				df07 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df07) {
						d07d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df08 == "") {
			try {
				df08 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df08) {
						d08d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df09 == "") {
			try {
				df09 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df09) {
						d09d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df10 == "") {
			try {
				df10 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df10) {
						d10d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df11 == "") {
			try {
				df11 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df11) {
						d11d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df12 == "") {
			try {
				df12 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df12) {
						d12d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df13 == "") {
			try {
				df13 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df13) {
						d13d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df14 == "") {
			try {
				df14 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df14) {
						d14d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df15 == "") {
			try {
				df15 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df15) {
						d15d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df16 == "") {
			try {
				df16 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df16) {
						d16d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df17 == "") {
			try {
				df17 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df17) {
						d17d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df18 == "") {
			try {
				df18 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df18) {
						d18d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df19 == "") {
			try {
				df19 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df19) {
						d19d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
		
		if (df20 == "") {
			try {
				df20 = newDList[ctr];
				ctr++;
				for (var i=0; i<dfList.length; i++) {
					var curName = dfList[i];
					if (curName == df20) {
						d20d = i+1;
						break;
					}
				}
			}
			catch (e) {
			}
		}
	}
	
	// in den Namen wieder den Tab einsetzen
	var tmpList1 = dfList.join("xx");
	var tmpList2 = tmpList1.split(" | ");
	var tmpList3 = tmpList2.join("\t");
	var dxList  = tmpList3.split("xx");
	
	// versuchen, fehlende, substituierte, ge"fauxed"te und unbekannte Schriften festzustellen
	var notOkayList = new Array();
	for (var i=0; i<dxList.length; i++) {
		var curStatus = app.fonts.item(dxList[i]).status;
		if (curStatus == 1718831470) {
			notOkayList.push("");
		}
		else if (curStatus == 1718832705) {
			notOkayList.push("F");
		}
		else if (curStatus == 1718834037) {
			notOkayList.push("S");
		}
		else if (curStatus == 1718830689) {
			notOkayList.push("X");
		}
		else if (curStatus == 1433299822) {
			notOkayList.push("U");
		}
		else {
			notOkayList.push("?");
		}
	}
	
	var f01 = notOkayList[0];
	var f02 = notOkayList[1];
	var f03 = notOkayList[2];
	var f04 = notOkayList[3];
	var f05 = notOkayList[4];
	var f06 = notOkayList[5];
	var f07 = notOkayList[6];
	var f08 = notOkayList[7];
	var f09 = notOkayList[8];
	var f10 = notOkayList[9];
	var f11 = notOkayList[10];
	var f12 = notOkayList[11];
	var f13 = notOkayList[12];
	var f14 = notOkayList[13];
	var f15 = notOkayList[14];
	var f16 = notOkayList[15];
	var f17 = notOkayList[16];
	var f18 = notOkayList[17];
	var f19 = notOkayList[18];
	var f20 = notOkayList[19];
	
	// zu Beginn der Dokumentschriften-Liste ein leeres Element einfgen
	dfList = [""].concat(dfList);
	
	// die Liste der Schriften des Programms auflisten
	var afList = app.fonts.everyItem().name;
	
	// in den Namen die Tabulatoren temporr durch " | " ersetzen, damit im Dialog die Anzeige klarer ist
	var tmpList1 = afList.join("xx");
	var tmpList2 = tmpList1.split("\t");
	var tmpList3 = tmpList2.join(" | ");
	var afList = tmpList3.split("xx");
	
	// die Liste sortieren lassen
	afList.sort();
	
	// das Vorhandensein der gespeicherten Namen prfen
	if (af01 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af01 == afList[i]) {
				okay = true;
				af01 = i+1;
				break;
			}
		}
		if (!okay) {
			af01 = 0;
		}
	}
	else {
		af01 = 0;
	}
	
	if (af02 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af02 == afList[i]) {
				okay = true;
				af02 = i+1;
				break;
			}
		}
		if (!okay) {
			af02 = 0;
		}
	}
	else {
		af02 = 0;
	}
	
	if (af03 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af03 == afList[i]) {
				okay = true;
				af03 = i+1;
				break;
			}
		}
		if (!okay) {
			af03 = 0;
		}
	}
	else {
		af03 = 0;
	}
	
	if (af04 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af04 == afList[i]) {
				okay = true;
				af04 = i+1;
				break;
			}
		}
		if (!okay) {
			af04 = 0;
		}
	}
	else {
		af04 = 0;
	}
	
	if (af05 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af05 == afList[i]) {
				okay = true;
				af05 = i+1;
				break;
			}
		}
		if (!okay) {
			af05 = 0;
		}
	}
	else {
		af05 = 0;
	}
	
	if (af06 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af06 == afList[i]) {
				okay = true;
				af06 = i+1;
				break;
			}
		}
		if (!okay) {
			af06 = 0;
		}
	}
	else {
		af06 = 0;
	}
	
	if (af07 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af07 == afList[i]) {
				okay = true;
				af07 = i+1;
				break;
			}
		}
		if (!okay) {
			af07 = 0;
		}
	}
	else {
		af07 = 0;
	}
	
	if (af08 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af08 == afList[i]) {
				okay = true;
				af08 = i+1;
				break;
			}
		}
		if (!okay) {
			af08 = 0;
		}
	}
	else {
		af08 = 0;
	}
	
	if (af09 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af09 == afList[i]) {
				okay = true;
				af09 = i+1;
				break;
			}
		}
		if (!okay) {
			af09 = 0;
		}
	}
	else {
		af09 = 0;
	}
	
	if (af10 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af10 == afList[i]) {
				okay = true;
				af10 = i+1;
				break;
			}
		}
		if (!okay) {
			af10 = 0;
		}
	}
	else {
		af10 = 0;
	}
	
	if (af11 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af11 == afList[i]) {
				okay = true;
				af11 = i+1;
				break;
			}
		}
		if (!okay) {
			af11 = 0;
		}
	}
	else {
		af11 = 0;
	}
	
	if (af12 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af12 == afList[i]) {
				okay = true;
				af12 = i+1;
				break;
			}
		}
		if (!okay) {
			af12 = 0;
		}
	}
	else {
		af12 = 0;
	}
	
	if (af13 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af13 == afList[i]) {
				okay = true;
				af13 = i+1;
				break;
			}
		}
		if (!okay) {
			af13 = 0;
		}
	}
	else {
		af13 = 0;
	}
	
	if (af14 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af14 == afList[i]) {
				okay = true;
				af14 = i+1;
				break;
			}
		}
		if (!okay) {
			af14 = 0;
		}
	}
	else {
		af14 = 0;
	}
	
	if (af15 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af15 == afList[i]) {
				okay = true;
				af15 = i+1;
				break;
			}
		}
		if (!okay) {
			af15 = 0;
		}
	}
	else {
		af15 = 0;
	}
	
	if (af16 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af16 == afList[i]) {
				okay = true;
				af16 = i+1;
				break;
			}
		}
		if (!okay) {
			af16 = 0;
		}
	}
	else {
		af16 = 0;
	}
	
	if (af17 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af17 == afList[i]) {
				okay = true;
				af17 = i+1;
				break;
			}
		}
		if (!okay) {
			af17 = 0;
		}
	}
	else {
		af17 = 0;
	}
	
	if (af18 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af18 == afList[i]) {
				okay = true;
				af18 = i+1;
				break;
			}
		}
		if (!okay) {
			af18 = 0;
		}
	}
	else {
		af18 = 0;
	}
	
	if (af19 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af19 == afList[i]) {
				okay = true;
				af19 = i+1;
				break;
			}
		}
		if (!okay) {
			af19 = 0;
		}
	}
	else {
		af19 = 0;
	}
	
	if (af20 != "") {
		var okay = false;
		for (var i=0; i<afList.length; i++) {
			if (af20 == afList[i]) {
				okay = true;
				af20 = i+1;
				break;
			}
		}
		if (!okay) {
			af20 = 0;
		}
	}
	else {
		af20 = 0;
	}
	
	// zu Beginn ein leeres Element einfgen
	afList = [""].concat(afList);
	
	// Dialoge, welche eventuell im Speicher geblieben sind, lschen
	try {
		app.dialogs.everyItem().destroy();
	}
	catch (e) {
	}
	
	// die Dokumentschriften zhlen, damit der Dialog dynamisch gestaltet werden kann
	var nFonts = (dfList.length)-1;
	if (nFonts > 20) {
		nFonts = 20;
	}
	
	// den Dialog vorbereiten, welcher Problem-Schriften mit einem Buchstaben bezeichnet
	// (fehlend = "F", substituiert = "S", fauxed = "X", unbekannt = "U", Status nicht bekannt = "?")
	var aDialog = app.dialogs.add({name:"Schriften austauschen", canCancel:true});
	with (aDialog) {
		with (dialogColumns.add()) {
			with (dialogRows.add()) {
				staticTexts.add({staticLabel:" ", minWidth:20});
				staticTexts.add({staticLabel:"Dokumentschriften:"});
				staticTexts.add({staticLabel:" "});
			}
			with (borderPanels.add()) {
				with ( dialogColumns.add()) {
					if (nFonts > 0) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f01, minWidth:8});
							var d01 = dropdowns.add({stringList:dfList, selectedIndex:d01d, minWidth:300});
						}
					}
					if (nFonts > 1) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f02, minWidth:8});
							var d02 = dropdowns.add({stringList:dfList, selectedIndex:d02d, minWidth:300});
						}
					}
					if (nFonts > 2) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f03, minWidth:8});
							var d03 = dropdowns.add({stringList:dfList, selectedIndex:d03d, minWidth:300});
						}
					}
					if (nFonts > 3) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f04, minWidth:8});
							var d04 = dropdowns.add({stringList:dfList, selectedIndex:d04d, minWidth:300});
						}
					}
					if (nFonts > 4) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f05, minWidth:8});
							var d05 = dropdowns.add({stringList:dfList, selectedIndex:d05d, minWidth:300});
						}
					}
					if (nFonts > 5) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f06, minWidth:8});
							var d06 = dropdowns.add({stringList:dfList, selectedIndex:d06d, minWidth:300});
						}
					}
					if (nFonts > 6) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f07, minWidth:8});
							var d07 = dropdowns.add({stringList:dfList, selectedIndex:d07d, minWidth:300});
						}
					}
					if (nFonts > 7) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f08, minWidth:8});
							var d08 = dropdowns.add({stringList:dfList, selectedIndex:d08d, minWidth:300});
						}
					}
					if (nFonts > 8) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f09, minWidth:8});
							var d09 = dropdowns.add({stringList:dfList, selectedIndex:d09d, minWidth:300});
						}
					}
					if (nFonts > 9) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f10, minWidth:8});
							var d10 = dropdowns.add({stringList:dfList, selectedIndex:d10d, minWidth:300});
						}
					}
					if (nFonts > 10) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f11, minWidth:8});
							var d11 = dropdowns.add({stringList:dfList, selectedIndex:d11d, minWidth:300});
						}
					}
					if (nFonts > 11) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f12, minWidth:8});
							var d12 = dropdowns.add({stringList:dfList, selectedIndex:d12d, minWidth:300});
						}
					}
					if (nFonts > 12) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f13, minWidth:8});
							var d13 = dropdowns.add({stringList:dfList, selectedIndex:d13d, minWidth:300});
						}
					}
					if (nFonts > 13) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f14, minWidth:8});
							var d14 = dropdowns.add({stringList:dfList, selectedIndex:d14d, minWidth:300});
						}
					}
					if (nFonts > 14) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f15, minWidth:8});
							var d15 = dropdowns.add({stringList:dfList, selectedIndex:d15d, minWidth:300});
						}
					}
					if (nFonts > 15) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f16, minWidth:8});
							var d16 = dropdowns.add({stringList:dfList, selectedIndex:d16d, minWidth:300});
						}
					}
					if (nFonts > 16) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f17, minWidth:8});
							var d17 = dropdowns.add({stringList:dfList, selectedIndex:d17d, minWidth:300});
						}
					}
					if (nFonts > 17) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f18, minWidth:8});
							var d18 = dropdowns.add({stringList:dfList, selectedIndex:d18d, minWidth:300});
						}
					}
					if (nFonts > 18) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f19, minWidth:8});
							var d19 = dropdowns.add({stringList:dfList, selectedIndex:d19d, minWidth:300});
						}
					}
					if (nFonts > 19) {
						with (dialogRows.add()) {
							staticTexts.add({staticLabel:f20, minWidth:8});
							var d20 = dropdowns.add({stringList:dfList, selectedIndex:d20d, minWidth:300});
						}
					}
				}
			}
			var resetDialog = checkboxControls.add({staticLabel:"Alle Einstellungen zurcksetzen"});
		}
		with (dialogColumns.add()) {
			staticTexts.add({staticLabel:"", minWidth:4});
		}
		with (dialogColumns.add()) {
			with (dialogRows.add()) {
				staticTexts.add({staticLabel:"... austauschen gegen:"});
				staticTexts.add({staticLabel:" "});
			}
			with (borderPanels.add()) {
				with ( dialogColumns.add()) {
					if (nFonts > 0) {
						with (dialogRows.add()) {
							var a01 = dropdowns.add({stringList:afList, selectedIndex:af01, minWidth:160});
						}
					}
					if (nFonts > 1) {
						with (dialogRows.add()) {
							var a02 = dropdowns.add({stringList:afList, selectedIndex:af02, minWidth:160});
						}
					}
					if (nFonts > 2) {
						with (dialogRows.add()) {
							var a03 = dropdowns.add({stringList:afList, selectedIndex:af03, minWidth:160});
						}
					}
					if (nFonts > 3) {
						with (dialogRows.add()) {
							var a04 = dropdowns.add({stringList:afList, selectedIndex:af04, minWidth:160});
						}
					}
					if (nFonts > 4) {
						with (dialogRows.add()) {
							var a05 = dropdowns.add({stringList:afList, selectedIndex:af05, minWidth:160});
						}
					}
					if (nFonts > 5) {
						with (dialogRows.add()) {
							var a06 = dropdowns.add({stringList:afList, selectedIndex:af06, minWidth:160});
						}
					}
					if (nFonts > 6) {
						with (dialogRows.add()) {
							var a07 = dropdowns.add({stringList:afList, selectedIndex:af07, minWidth:160});
						}
					}
					if (nFonts > 7) {
						with (dialogRows.add()) {
							var a08 = dropdowns.add({stringList:afList, selectedIndex:af08, minWidth:160});
						}
					}
					if (nFonts > 8) {
						with (dialogRows.add()) {
							var a09 = dropdowns.add({stringList:afList, selectedIndex:af09, minWidth:160});
						}
					}
					if (nFonts > 9) {
						with (dialogRows.add()) {
							var a10 = dropdowns.add({stringList:afList, selectedIndex:af10, minWidth:160});
						}
					}
					if (nFonts > 10) {
						with (dialogRows.add()) {
							var a11 = dropdowns.add({stringList:afList, selectedIndex:af11, minWidth:160});
						}
					}
					if (nFonts > 11) {
						with (dialogRows.add()) {
							var a12 = dropdowns.add({stringList:afList, selectedIndex:af12, minWidth:160});
						}
					}
					if (nFonts > 12) {
						with (dialogRows.add()) {
							var a13 = dropdowns.add({stringList:afList, selectedIndex:af13, minWidth:160});
						}
					}
					if (nFonts > 13) {
						with (dialogRows.add()) {
							var a14 = dropdowns.add({stringList:afList, selectedIndex:af14, minWidth:160});
						}
					}
					if (nFonts > 14) {
						with (dialogRows.add()) {
							var a15 = dropdowns.add({stringList:afList, selectedIndex:af15, minWidth:160});
						}
					}
					if (nFonts > 15) {
						with (dialogRows.add()) {
							var a16 = dropdowns.add({stringList:afList, selectedIndex:af16, minWidth:160});
						}
					}
					if (nFonts > 16) {
						with (dialogRows.add()) {
							var a17 = dropdowns.add({stringList:afList, selectedIndex:af17, minWidth:160});
						}
					}
					if (nFonts > 17) {
						with (dialogRows.add()) {
							var a18 = dropdowns.add({stringList:afList, selectedIndex:af18, minWidth:160});
						}
					}
					if (nFonts > 18) {
						with (dialogRows.add()) {
							var a19 = dropdowns.add({stringList:afList, selectedIndex:af19, minWidth:160});
						}
					}
					if (nFonts > 19) {
						with (dialogRows.add()) {
							var a20 = dropdowns.add({stringList:afList, selectedIndex:af20, minWidth:160});
						}
					}
				}
			}
		}
		with (dialogColumns.add()) {
			staticTexts.add({staticLabel:"", minWidth:4});
		}
	}
	
	// den Dialog anzeigen
	if (aDialog.show() == true) {
		var aColor, aOffset, aTint, rstDlog;
		rstDlog = false;
		// die eingestellten Namen zuordnen
		if (nFonts > 0) {
			df01 = dfList[d01.selectedIndex];
			af01 = afList[a01.selectedIndex];
		}
		if (nFonts > 1) {
			df02 = dfList[d02.selectedIndex];
			af02 = afList[a02.selectedIndex];
		}
		if (nFonts > 2) {
			df03 = dfList[d03.selectedIndex];
			af03 = afList[a03.selectedIndex];
		}
		if (nFonts > 3) {
			df04 = dfList[d04.selectedIndex];
			af04 = afList[a04.selectedIndex];
		}
		if (nFonts > 4) {
			df05 = dfList[d05.selectedIndex];
			af05 = afList[a05.selectedIndex];
		}
		if (nFonts > 5) {
			df06 = dfList[d06.selectedIndex];
			af06 = afList[a06.selectedIndex];
		}
		if (nFonts > 6) {
			df07 = dfList[d07.selectedIndex];
			af07 = afList[a07.selectedIndex];
		}
		if (nFonts > 7) {
			df08 = dfList[d08.selectedIndex];
			af08 = afList[a08.selectedIndex];
		}
		if (nFonts > 8) {
			df09 = dfList[d09.selectedIndex];
			af09 = afList[a09.selectedIndex];
		}
		if (nFonts > 9) {
			df10 = dfList[d10.selectedIndex];
			af10 = afList[a10.selectedIndex];
		}
		if (nFonts > 10) {
			df11 = dfList[d11.selectedIndex];
			af11 = afList[a11.selectedIndex];
		}
		if (nFonts > 11) {
			df12 = dfList[d12.selectedIndex];
			af12 = afList[a12.selectedIndex];
		}
		if (nFonts > 12) {
			df13 = dfList[d13.selectedIndex];
			af13 = afList[a13.selectedIndex];
		}
		if (nFonts > 13) {
			df14 = dfList[d14.selectedIndex];
			af14 = afList[a14.selectedIndex];
		}
		if (nFonts > 14) {
			df15 = dfList[d15.selectedIndex];
			af15 = afList[a15.selectedIndex];
		}
		if (nFonts > 15) {
			df16 = dfList[d16.selectedIndex];
			af16 = afList[a16.selectedIndex];
		}
		if (nFonts > 16) {
			df17 = dfList[d17.selectedIndex];
			af17 = afList[a17.selectedIndex];
		}
		if (nFonts > 17) {
			df18 = dfList[d18.selectedIndex];
			af18 = afList[a18.selectedIndex];
		}
		if (nFonts > 18) {
			df19 = dfList[d19.selectedIndex];
			af19 = afList[a19.selectedIndex];
		}
		if (nFonts > 19) {
			df20 = dfList[d20.selectedIndex];
			af20 = afList[a20.selectedIndex];
		}
		rstDlog = resetDialog.checkedState;
		// den Dialog aus dem Speicher entfernen
		aDialog.destroy();
		// wenn die Checkbox zum Zurcksetzen aktiviert ist, den Inhalt beider Dateien lschen ...
		if (rstDlog) {
			writeString("", docFile);
			writeString("", appFile);
			// ... und die Hauptfunktion aufrufen
			changeFonts();
		}
	}
	else {
		aDialog.destroy();
		exit();
	}
	
	// die Liste der Dokumentschriften zusammenstellen
	var docDefList = new Array ();
	if (nFonts > 0) {
		docDefList.push(df01);
	}
	if (nFonts > 1) {
		docDefList.push(df02);
	}
	if (nFonts > 2) {
		docDefList.push(df03);
	}
	if (nFonts > 3) {
		docDefList.push(df04);
	}
	if (nFonts > 4) {
		docDefList.push(df05);
	}
	if (nFonts > 5) {
		docDefList.push(df06);
	}
	if (nFonts > 6) {
		docDefList.push(df07);
	}
	if (nFonts > 7) {
		docDefList.push(df08);
	}
	if (nFonts > 8) {
		docDefList.push(df09);
	}
	if (nFonts > 9) {
		docDefList.push(df10);
	}
	if (nFonts > 10) {
		docDefList.push(df11);
	}
	if (nFonts > 11) {
		docDefList.push(df12);
	}
	if (nFonts > 12) {
		docDefList.push(df13);
	}
	if (nFonts > 13) {
		docDefList.push(df14);
	}
	if (nFonts > 14) {
		docDefList.push(df15);
	}
	if (nFonts > 15) {
		docDefList.push(df16);
	}
	if (nFonts > 16) {
		docDefList.push(df17);
	}
	if (nFonts > 17) {
		docDefList.push(df18);
	}
	if (nFonts > 18) {
		docDefList.push(df19);
	}
	if (nFonts > 19) {
		docDefList.push(df20);
	}
	
	// die Liste der Programmschriften zusammenstellen
	var appDefList = new Array ();
	if (nFonts > 0) {
		appDefList.push(af01);
	}
	if (nFonts > 1) {
		appDefList.push(af02);
	}
	if (nFonts > 2) {
		appDefList.push(af03);
	}
	if (nFonts > 3) {
		appDefList.push(af04);
	}
	if (nFonts > 4) {
		appDefList.push(af05);
	}
	if (nFonts > 5) {
		appDefList.push(af06);
	}
	if (nFonts > 6) {
		appDefList.push(af07);
	}
	if (nFonts > 7) {
		appDefList.push(af08);
	}
	if (nFonts > 8) {
		appDefList.push(af09);
	}
	if (nFonts > 9) {
		appDefList.push(af10);
	}
	if (nFonts > 10) {
		appDefList.push(af11);
	}
	if (nFonts > 11) {
		appDefList.push(af12);
	}
	if (nFonts > 12) {
		appDefList.push(af13);
	}
	if (nFonts > 13) {
		appDefList.push(af14);
	}
	if (nFonts > 14) {
		appDefList.push(af15);
	}
	if (nFonts > 15) {
		appDefList.push(af16);
	}
	if (nFonts > 16) {
		appDefList.push(af17);
	}
	if (nFonts > 17) {
		appDefList.push(af18);
	}
	if (nFonts > 18) {
		appDefList.push(af19);
	}
	if (nFonts > 19) {
		appDefList.push(af20);
	}
	
	// beide Listen in eine Textkette verwandeln
	var docString = docDefList.join("\r");
	var appString = appDefList.join("\r");
	
	// beide Listen in eine Datei schreiben lassen
	writeString(docString, docFile);
	writeString(appString, appFile);
	
	// in den Namen wieder den Tab einsetzen
	var tmpList1 = docDefList.join("xx");
	var tmpList2 = tmpList1.split(" | ");
	var tmpList3 = tmpList2.join("\t");
	var docList  = tmpList3.split("xx");
	
	var tmpList1 = appDefList.join("xx");
	var tmpList2 = tmpList1.split(" | ");
	var tmpList3 = tmpList2.join("\t");
	var appList  = tmpList3.split("xx");
	
	
	///////////////////////////////////////////////////////////////////////////////
	// Die Schriften der Texte und Formate austauschen
	///////////////////////////////////////////////////////////////////////////////
	
	/////////////////////////////////////////////////////////////////////////////
	// die Schriften der Texte austauschen
	var allStories = curDoc.stories;
	var curFont;
	var curNew;
	var curOld;
	var nStories = allStories.length;
	var nTsr;
	var tsr;
	var tsrFonts;

	for (var i=0; i<nStories; i++) {
		tsr = curDoc.stories[i].textStyleRanges;
		nTsr = tsr.length;
		tsrFonts = tsr.everyItem().appliedFont;
		for (var j=(nTsr)-1; j>-1; j--) {
			try {
				curFont = tsrFonts[j].name;
				for (var k=0; k<nFonts; k++) {
					curOld = docList[k];
					if (curFont == curOld) {
						if (curOld != "") {
							curNew = appList[k];
							if (curNew != "") {
								tsr[j].appliedFont = curNew;
								break;
							}
						}
					}
				}
			}
			catch (e) {
			}
		}
	}
	
	/////////////////////////////////////////////////////////////////////////////
	// die Schriften der Absatzformate austauschen
	var curStyle;
	var paraStyles  = curDoc.paragraphStyles;
	var nParaStyles = paraStyles.length;

	for (var i=1; i<nParaStyles; i++) {
		try {
			curStyle = paraStyles[i];
			curFont = curStyle.appliedFont.name;
			for (var j=0; j<nFonts; j++) {
				curOld = docList[j];
				if (curOld != "") {
					if (curFont == curOld) {
						curNew = appList[j];
						if (curNew != "") {
							curStyle.appliedFont = curNew;
							break;
						}
					}
				}
			}
		}
		catch (e) {
		}
	}

	/////////////////////////////////////////////////////////////////////////////
	// die Schriften der Absatzformat-Gruppen austauschen
	var curGroup;
	var curParaStyles;
	var nParaStyles;	
	curGroups = curDoc.paragraphStyleGroups;
	var nParaStyleGroups = curGroups.length;

	if (nParaStyleGroups > 0) {
		for (var g=0; g<nParaStyleGroups; g++) {
			curGroup = curGroups[g];
			curParaStyles = curGroup.allParagraphStyles;
			nParaStyles = curParaStyles.length;
			for (var i=0; i<nParaStyles; i++) {
				try {
					curFont = curParaStyles[i].appliedFont.name;
					for (var j=0; j<nFonts; j++) {
						curOld = docList[j];
						if (curOld != "") {
							if (curFont == curOld) {
								curNew = appList[j];
								if (curNew != "") {
									curParaStyles[i].appliedFont = curNew;
									break;
								}
							}
						}
					}
				}
				catch (e) {
				}
			}
		}
	}
	
	/////////////////////////////////////////////////////////////////////////////
	// die Schriften der Zeichenformate austauschen
	var charStyles = curDoc.characterStyles;
	var curF;
	var curS;
	var nCharStyles = charStyles.length;
	
	for (var i=1; i<nCharStyles; i++) {
		try {
			curStyle = charStyles[i];
			curF = curStyle.appliedFont;
			curS = curStyle.fontStyle;
			if (curS != 1851876449) {
				curFont = curF + "\t" + curS;
				for (var j=0; j<nFonts; j++) {
					curOld = docList[j];
					if (curOld != "") {
						if (curFont == curOld) {
							curNew = appList[j];
							if (curNew != "") {
								curStyle.appliedFont = curNew;
								break;
							}
						}
					}
				}
			}
			else {
				curFont = curF;
				for (var j=0; j<nFonts; j++) {
					curPair = docList[j];
					curFam  = curPair.split("\t")[0];
					if (curFont == curFam) {
						try {
							newFam = appList[j].split("\t")[0];
							curStyle.appliedFont = newFam;
						}
						catch (e) {
						}
						break;
					}
				}
			}
		}
		catch (e) {
		}
	}
	
	/////////////////////////////////////////////////////////////////////////////
	// die Schriften der Zeichenformat-Gruppen austauschen
	curGroups = curDoc.characterStyleGroups;
	var nCharStyleGroups = curGroups.length;
	if (nCharStyleGroups > 0) {
		for (var g=0; g<nCharStyleGroups; g++) {
			curGroup = curGroups[g];
			curCharStyles = curGroup.allCharacterStyles;
			nCharStyles = curCharStyles.length;
			for (var i=0; i<nCharStyles; i++) {
				try {
					curStyle = curCharStyles[i];
					curF = curStyle.appliedFont;
					curS = curStyle.fontStyle;
					if (curS != 1851876449) {
						curFont = curF + "\t" + curS;
						for (var j=0; j<nFonts; j++) {
							curOld = docList[j];
							if (curOld != "") {
								if (curFont == curOld) {
									curNew = appList[j];
									if (curNew != "") {
										curStyle.appliedFont = curNew;
										break;
									}
								}
							}
						}
					}
					else {
						curFont = curF;
						for (var j=0; j<nFonts; j++) {
							curPair = docList[j];
							curFam  = curPair.split("\t")[0];
							if (curFont == curFam) {
								try {
									newFam = appList[j].split("\t")[0];
									curStyle.appliedFont = newFam;
								}
								catch (e) {
								}
								break;
							}
						}
					}
				}
				catch (e) {
				}
			}
		}
	}
	// die Funktion aufrufen, welche den Anwender benachrichtigt
	informUser();
}

///////////////////////////////////////////////////////////////////////////////
// die beiden Funktionen
///////////////////////////////////////////////////////////////////////////////

// das Ergebnis in eine Datei schreiben
function writeString(txtString, txtPath) {
	var f = new File(txtPath);
	var fileIsOpen = f.open("w");
	if (fileIsOpen) {
		try {
			f.encoding = "ISO-8851-9"
			f.write(txtString);
			f.close();
		}
		catch (e) {
			try {
				f.close();
			}
			catch (e) {
			}
		}
	}
}

///////////////////////////////////////////////////////////////////////////////
// das Ende der Aktion verknden
function informUser() {
	var dlog = new Window("palette");
	dlog.size = [320,100];
	dlog.add("statictext", [80, 100, 320, 116], "Fertig.");
	dlog.show();
	// eine kleine Pause
	$.sleep(999);
	// das Fenster schliessen
	dlog.close();
}